org.apache.hc.client5.http.config

## Class TlsConfig

- java.lang.Object
- - org.apache.hc.client5.http.config.TlsConfig

All Implemented Interfaces:
  Cloneable

    @Contract(threading=IMMUTABLE)
    public class TlsConfig
    extends Object
    implements Cloneable

Immutable class encapsulating TLS protocol settings.

Since:
  5.2

### Nested Class Summary

Nested Classes
`static class` `TlsConfig.Builder`

### Field Summary

Fields
`static TlsConfig` `DEFAULT`

### Constructor Summary

Constructors
`protected` `TlsConfig()` Intended for CDI compatibility

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected TlsConfig` `clone()`
`static TlsConfig.Builder` `copy(TlsConfig config)`
`static TlsConfig.Builder` `custom()`
`Timeout` `getHandshakeTimeout()`
`HttpVersionPolicy` `getHttpVersionPolicy()`
`String[]` `getSupportedCipherSuites()`
`String[]` `getSupportedProtocols()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final TlsConfig DEFAULT

### Constructor Detail

#### TlsConfig

    protected TlsConfig()

Intended for CDI compatibility

### Method Detail

#### getHandshakeTimeout

    public Timeout getHandshakeTimeout()

See Also:
  `TlsConfig.Builder.setHandshakeTimeout(Timeout)`

#### getSupportedProtocols

    public String[] getSupportedProtocols()

See Also:
  `TlsConfig.Builder.setSupportedProtocols(String...)`

#### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

See Also:
  `TlsConfig.Builder.setSupportedCipherSuites(String...)`

#### getHttpVersionPolicy

    public HttpVersionPolicy getHttpVersionPolicy()

See Also:
  `TlsConfig.Builder.setVersionPolicy(HttpVersionPolicy)`

#### clone

    protected TlsConfig clone()
                       throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### custom

    public static TlsConfig.Builder custom()

#### copy

    public static TlsConfig.Builder copy(TlsConfig config)